com.hazelcast.security.permission

## Class AllPermissions.AllPermissionsCollection

- java.lang.Object
- - java.security.PermissionCollection
  - - com.hazelcast.security.permission.AllPermissions.AllPermissionsCollection

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    AllPermissions

      public static final class AllPermissions.AllPermissionsCollection
      extends PermissionCollection

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllPermissionsCollection()`
    `AllPermissionsCollection(boolean all)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Permission permission)`
    `Enumeration<Permission>` | `elements()`
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `boolean` | `implies(Permission permission)`
    `String` | `toString()`

    - ### Methods inherited from class java.security.PermissionCollection

      `isReadOnly, setReadOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AllPermissionsCollection

          public AllPermissionsCollection()

    - #### AllPermissionsCollection

          public AllPermissionsCollection(boolean all)

  - ### Method Detail

    - #### add

          public void add(Permission permission)

      Specified by:
        `add` in class `PermissionCollection`

    - #### implies

          public boolean implies(Permission permission)

      Specified by:
        `implies` in class `PermissionCollection`

    - #### elements

          public Enumeration<Permission> elements()

      Specified by:
        `elements` in class `PermissionCollection`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `PermissionCollection`

Copyright © 2019. All rights reserved.